## neutron 26.0.0~b2+git2025030311.1ddcb3e890

=== debian/changelog ===
neutron (2:26.0.0~b2+git2025030311.1ddcb3e890-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * Remove linuxbridge support, dropped upstream:
    - d/control: Drop neutron-linuxbridge-agent package.
    - d/rules: Drop misc systemd configuration handling for linuxbridge
      cleanup configuration.
    - d/mans/neutron-linuxbridge-agent.8: Drop, no longer needed.
    - d/neutron-common.install: Drop install of linuxbridge_agent.ini.
    - d/neutron-common.manpages: Drop install of neutron-linuxbridge-agent.8.
    - d/neutron-{plugin-}linuxbridge-agent.*: Drop packaging files for
      neutron-linuxbridge-agent package.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Mar 2025 09:49:17 +0000

neutron (2:26.0.0~b2+git2025011509.585ea689d5-0ubuntu2) plucky; urgency=medium

  [ Myles Penner ]
  * Add new neutron-rpc-server and neutron-api packages (LP: #2085620):
    - d/control: Add new binary packages for -rpc-server and -api
    - d/neutron-rpc-server.init.in: Add init system template for rpc-server.
    - d/neutron-api.conf: Create config file for mod_wsgi.
    - d/neutron-api.apache2: Reference d/neutron.conf for config.

  [ James Page ]
  * d/control,neutron-ovn-maintenance-worker.init.in: Add new package
    for the standalone OVN maintenance worker.
  * d/tests/control,neutron-api: Add new autopkgtest for API plus
    standalone worker daemons.
  * d/neutron-common.default: Provide ML2 plugin configuration file for
    split worker daemons from neutron-common package.
  * d/control,neutron-periodic-workers.init.in: Add binary package and
    init configuration for neutron-periodic-workers daemon.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 10 Feb 2025 16:54:38 +0000
