=== debian/changelog ===
neutron (2:26.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.
  * d/tests: Flush tables prior to neutron-api autopkgtest

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 13:26:13 -0700
