=== debian/control ===
--- 
+++ 
@@ -34,14 +34,14 @@
  python3-keystonemiddleware (>= 5.1.0),
  python3-netaddr (>= 0.7.18),
  python3-netifaces (>= 0.10.4),
- python3-neutron-lib (>= 3.16.0),
+ python3-neutron-lib (>= 3.17.0),
  python3-neutronclient (>= 1:7.8.0),
  python3-novaclient (>= 2:9.1.0),
  python3-openssl (>= 17.1.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-openstacksdk (>= 0.31.2),
  python3-openvswitch (>= 2.12.0),
- python3-os-ken (>= 2.11.2),
+ python3-os-ken (>= 3.0.0),
  python3-os-resource-classes (>= 1.1.0),
  python3-os-testr (>= 1.0.0),
  python3-os-vif (>= 3.1.0),
@@ -65,7 +65,7 @@
  python3-oslo.versionedobjects (>= 1.35.1),
  python3-oslotest (>= 1:3.2.0),
  python3-osprofiler (>= 2.3.0),
- python3-ovsdbapp (>= 2.7.1),
+ python3-ovsdbapp (>= 2.11.0),
  python3-paste (>= 2.0.2),
  python3-pastedeploy (>= 1.5.0),
  python3-pecan (>= 1.4.0),
