=== debian/tests/control ===
Tests:
 neutron-server neutron-agents,
Depends:
 mysql-server,
 neutron-server,
 rabbitmq-server,
Restrictions:
 needs-root allow-stderr needs-recommends,

Tests:
 neutron-api,
Depends:
 crudini,
 mysql-server,
 neutron-api,
 neutron-ovn-maintenance-worker,
 neutron-periodic-workers,
 neutron-rpc-server,
 ovn-central,
 rabbitmq-server,
Restrictions:
 needs-root allow-stderr needs-recommends,
