## neutron 26.0.1

=== debian/changelog ===
neutron (2:26.0.1-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patches applied upstream:
    - Add_state_reporting_back_to_metadata_agents.patch
    - Fix_LoopingCallBase_argument_issue.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Tue, 23 Sep 2025 09:56:12 +0000

neutron (2:26.0.0-9) unstable; urgency=medium

  * Replace Add_state_reporting_back_to_metadata_agents.patch by a version
    that's been backported by upstream. Otherwise, there's some issues.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Jul 2025 17:16:33 +0200

neutron (2:26.0.0-8) unstable; urgency=medium

  * Add export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 14:19:05 +0200

neutron (2:26.0.0-7) unstable; urgency=medium

  * Add patches:
    - Add_state_reporting_back_to_metadata_agents.patch
    - Fix_LoopingCallBase_argument_issue.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jul 2025 17:54:19 +0200

neutron (2:26.0.0-6) unstable; urgency=medium

  * Fix KillMode and not killmode in neutron-l3-agent.service.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Jun 2025 14:04:36 +0200

neutron (2:26.0.0-5) unstable; urgency=medium

  * Add CUSTOM_SYSTEMD_SERVICE_DIRECTIVES="killmode=process" to be able to
    gracefully restart neutron-l3-agent.
  * Removed non-active maintainers from d/control.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Jun 2025 15:22:02 +0200

neutron (2:26.0.0-4) unstable; urgency=medium

  * Fix breaks that should be using binary packages, not source.
  * Configure default uwsgi configuration file so that neutron-api doesn't use
    threads anymore, which was broken with OVN config (Closes: #1093303).

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Apr 2025 13:44:34 +0200

neutron (2:26.0.0-3) unstable; urgency=medium

  * Add more Breaks:
    - networking-bgpvpn (<< 22.0.0~)
    - networking-l2gw (<< 1:21.0.0~)

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Apr 2025 10:28:23 +0200

neutron (2:26.0.0-2) unstable; urgency=medium

  * Add Breaks: neutron-dynamic-routing (<< 2:26.0.0~) in python3-neutron.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Apr 2025 14:40:24 +0200

neutron (2:26.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 12:55:03 +0200

neutron (2:26.0.0~rc2-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Mar 2025 10:20:59 +0200

neutron (2:26.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 15:39:22 +0100

neutron (2:26.0.0~rc1-2) experimental; urgency=medium

  * Add debian/neutron-l3-agent.logrotate.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Mar 2025 09:56:40 +0100

neutron (2:26.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed applied upstream patches:
    - Add-policy-enforcer-for-QoS-policy-tags-service-plugin.patch
    - CVE-2024-53916_Fix-the-tagging-policy-engine.patch
  * Removed from neutron-common.install:
    - usr/bin/ovn_migration.sh
    - usr/share/ansible/neutron-ovn-migration
  * Fix startup setting wrong group ownership of /var/log/neutron (ie: it was
    neutron instead of adm).

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 17:00:11 +0100
