## neutron 26.0.1+git2025070714.71962255de

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Requirements lower bounds listed here are our best effort to keep them up to
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
-pbr>=4.0.0 # Apache-2.0
+pbr>=6.0.0 # Apache-2.0
 
 Paste>=2.0.2 # MIT
 PasteDeploy>=1.5.0 # MIT
@@ -37,14 +37,14 @@
 oslo.reports>=1.18.0 # Apache-2.0
 oslo.rootwrap>=5.15.0 # Apache-2.0
 oslo.serialization>=5.5.0 # Apache-2.0
-oslo.service>=3.5.0 # Apache-2.0
+oslo.service[threading]>=4.2.1 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
 oslo.utils>=7.3.0 # Apache-2.0
 oslo.versionedobjects>=1.35.1 # Apache-2.0
 osprofiler>=2.3.0 # Apache-2.0
 os-ken>=3.0.0 # Apache-2.0
 os-resource-classes>=1.1.0 # Apache-2.0
-ovs>=2.12.0 # Apache-2.0
+ovs>3.3.0 # Apache-2.0
 ovsdbapp>=2.11.0 # Apache-2.0
 psutil>=6.1.0 # BSD
 pyroute2>=0.7.3;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
