=== debian/changelog ===
neutron (2:26.0.1+git2025070714.71962255de-0ubuntu2) questing; urgency=medium

  * d/neutron_sudoers: Drop override causing compatibility issues with
    sudo-rs. (LP: #2120708)
  * d/control: Ensure ml2 plugin has openvswitch-common dependency.
  * Transition neutron-server to dummy package:
    - d/control: Replace neutron-server with neutron-rpc-server,
      neutron-api, and neutron-periodic-workers.
    - d/control: Remove conflicts between neutron-periodic-workers and
      neutron-server.
    - d/neutron-server.*: Drop service definitions.
    - d/t/neutron-server: Drop autopkgtest.
    - d/tests/control: Update test dependencies.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 19 Aug 2025 15:00:19 +0200

neutron (2:26.0.1+git2025070714.71962255de-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs. 
  * d/rules: Cleanup /debian/python3-neutron/usr/etc

 -- Myles Penner <myles.penner@canonical.com>  Thu, 17 Jul 2025 09:22:27 -0700
