## neutron 26.0.2

=== debian/changelog ===
neutron (2:26.0.2-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Wed, 05 Nov 2025 09:43:28 +0000

neutron (2:26.0.1-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Removed patches applied upstream:
    - Add_state_reporting_back_to_metadata_agents.patch
    - Fix_LoopingCallBase_argument_issue.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 11:43:42 +0200
