## neutron 27.0.0~rc1

=== debian/changelog ===
neutron (2:27.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 07:43:49 +0000

neutron (2:27.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 00:14:23 +0200

neutron (2:27.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release, plus removed versions of
    (build-)depends when satisfied in Trixie.
  * Removed patches applied upstream:
    - Add_state_reporting_back_to_metadata_agents.patch
    - Fix_LoopingCallBase_argument_issue.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 15:14:35 +0200
