=== debian/control ===
--- 
+++ 
@@ -326,7 +326,5 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
-Conflicts:
- neutron-server,
 Description: Neutron is a virtual network service for Openstack - Neutron periodic workers
  Neutron is a virtual network service for Openstack, and a part of
