=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 
 override_dh_install:
-	rm -rf $(CURDIR)/debian/python3-neutron/usr/etc/neutron
+	rm -rf $(CURDIR)/debian/python3-neutron/usr/etc/
 	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
 	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'
 	crudini --merge $(CURDIR)/etc/neutron.conf < $(CURDIR)/debian/neutron.conf.defaults
