=== debian/tests/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Tests:
- neutron-server neutron-agents,
+ neutron-agents,
 Depends:
  mysql-server,
- neutron-server,
+ neutron-api,
+ neutron-periodic-workers,
+ neutron-rpc-server,
  rabbitmq-server,
 Restrictions:
  needs-root allow-stderr needs-recommends,
